Bug 819999 - gnome-settings-daemon consumes 100% CPU
gnome-settings-daemon consumes 100% CPU
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 16:16 EDT by Need Real Name
Modified: 2016-09-21 12:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:39:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2012-05-08 16:16:47 EDT
PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
 2337 mal       20   0  870m 148m 6340 S 100.7  0.5 303:21.97 gnome-settings-  

gnome-settings-daemon-3.4.1-1.fc17.x86_64
Comment 1 Matthias Clasen 2012-05-10 01:43:16 EDT
You will have to provide us with some information about what it is doing.
Can you attach with gdb, and see where it is stuck ?
Comment 2 Need Real Name 2012-05-10 15:17:28 EDT
The problem occurs randomly. It did happen twice before.
top shows 100% CPU consumption.
kill -15 does not help.
kill -9 did kill gnome-settings-daemon and new instance 
came to 0% CPU usage. I had to kill, it was urgent then to get computer working.
I do not have exact scenario how to get gnome-settings-daemon 100% CPU.
Next time it may happen in a week or in a month. 
I can turn on debug if gnome-settings-daemon has this option (please tell how)
and hope to get some errors in a month.

Also, please tell the command how to attach gdb to gnome-settings-daemon
next time I see it 100% CPU.
Comment 3 Matthias Clasen 2012-05-18 20:05:12 EDT
gdb attach $(pidof gnome-settings-daemon)
Comment 4 Kevin Gagnon 2012-06-13 16:51:26 EDT
gdb attach $(pidof gnome-settings-daemon) comes back with "Missing separate debuginfos, use: debuginfo-install cups-libs" on my system. cups-libs-debuginfo does not seem to exist when I run the command to install it.
Comment 5 Matthias Clasen 2012-06-14 21:49:37 EDT
This might be a duplicate of bug 811902
Comment 6 udo 2013-04-01 03:57:01 EDT
Any updates?
Comment 7 Fedora End Of Life 2013-07-03 16:29:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 dexter7.42 2014-12-13 16:22:13 EST
bug still present in Fedora 21
Comment 9 dexter7.42 2015-06-05 17:11:35 EDT
still present in Fedora22 (fresh install on Lenovo T540p)
Comment 10 Fedora End Of Life 2015-11-04 06:34:18 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-12-01 21:39:12 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 udo 2016-09-21 12:03:02 EDT
So since 2013 nothing was done?
Comment 13 Bastien Nocera 2016-09-21 12:45:59 EDT
(In reply to udo from comment #12)
> So since 2013 nothing was done?

The information requested in comment 1 was never provided, and Fedora 21 isn't supported any more.

Note You need to log in before you can comment on or make changes to this bug.